﻿using DevExpress.XtraEditors;
using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 빙 맵 키
        /// </summary>
        private string bingKey = "INPUT YOUR BING KEY";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 빙 맵 데이터 공급자를 설정한다.

            BingMapDataProvider bingMapDataProvider = new BingMapDataProvider();

            bingMapDataProvider.BingKey = this.bingKey;

            #endregion
            #region 이미지 레이어를 설정한다.

            ImageLayer imageLayer = new ImageLayer();

            imageLayer.DataProvider = bingMapDataProvider;

            this.mapControl.Layers.Add(imageLayer);

            #endregion
            #region 빙 검색 데이터 공급자를 설정한다.

            BingSearchDataProvider bingSearchDataProvider = new BingSearchDataProvider();

            bingSearchDataProvider.BingKey                    = this.bingKey;
            bingSearchDataProvider.SearchOptions.ResultsCount = 5;

            #endregion
            #region 정보 레이어를 설정한다.

            InformationLayer informationLayer = new InformationLayer();

            informationLayer.DataProvider = bingSearchDataProvider;

            this.mapControl.Layers.Add(informationLayer);

            #endregion
        }

        #endregion
    }
}